create table subscription (
                              id serial primary key,
                              name_of_subscription varchar(20),
                              cost float,
                              profile_id integer,
                              foreign key(profile_id) references profiles(id)
);

insert into subscription
(name_of_subscription, cost,profile_id)
values
    ('Без подписки',0, 2),
    ('Без подписки',0, 6),
    ('Лайт',199, 1),
    ('Лайт',199, 8),
    ('Лайт',199, 4),
    ('Оптиум',399, 3),
    ('Оптиум',399, 5),
    ('Оптиум',399, 7),
    ('Приемиум',799, 9),
    ('Приемиум',799, 10);

create table catalog (
                         id serial primary key,
                         name varchar(100),
                         year_of_production integer,
                         style varchar(50),
                         country varchar(50),
                         duration varchar(20),
                         description TEXT,
                         subscription_id integer,
                         foreign key(subscription_id) references subscription(id)
);

insert into catalog
(name, year_of_production, style, country, duration, description, subscription_id)
values
    ('ДЮНА',2021,'фантастика, боевик','США','2 ч 35 мин','Фантастический эпос с Тимоти Шаламе по мотивам культового романа',3),
    ('Веном 2',2021,'фантастика','США','1 ч 37 мин','Том Харди продолжает бороться с самим собой, буквально и метафорически',4),
    ('ЛУКА',2021,'мультфильм, фэнтези','США','1 ч 35 мин','Морские монстры в облике мальчишек находят приключения и дружбу в мире людей',1),
    ('ШАН-ЧИ и Легенда Десяти Колец',2021,'фантастика, фэнтези','США','2 ч 12 мин','Блокбастер Marvel о мастере восточных единоборств',3),
    ('Главный Герой',2021,'фантастика, боевик','США','1 ч 50 мин','Экшн-комедия с Райаном Рейнольдсом в роли ожившего кода',2),
    ('Круиз по Джунглям',2021,'приключения, комедия','США','2 ч 7 мин','Авантюрное тропическое путешествие за магическим деревом',1),
    ('Черная Вдова',2021,'фантастика, боевик','США','2 ч 14 мин','Скарлетт Йоханссон в роли героической супершпионки из России',3),
    ('Босс-Молокосос',2021,'мультфильм, комедия','США','1 ч 47 мин','Малыши-суперагенты возвращаются',2),
    ('Круэлла',2021,'комедия, криминал','США','2 ч 14 мин','Эпатажный бенефис сногсшибательной злодейки, покоряющей мир моды',1),
    ('Форсаж 9',2021,'боевик, триллер','США','2 ч 22 мин','Размеренная жизнь подождёт: Доминик идёт против собственного брата',4),
    ('Тихое место 2',2021,'ужасы, фантастика','США','1 ч 37 мин','Продолжение изобретательного триллера о молчаливом выживании',2),
    ('Кролик Питер 2',2020,'фэнтези, комедия','Австралия','1 ч 33 мин','Приключения отважных кроликов в большом городе',1),
    ('Душа',2020,'мультфильм, фэнтези','США','1 ч 40 мин','Мультфильм о самой сокровенной части человеческой натуры',1),
    ('Пальма',2020,'семейное','Россия','1 ч 50 мин','Трогательная история о преданной овчарке, ставшей символом верности',1),
    ('Последний Богатырь: Корень Зла',2021,'приключения, фэнтези, семейные','Россия','2 ч 1 мин','Лихой герой возвращается во второй части сказочного блокбастера',1);

create table profiles (
                          id serial primary key,
                          first_name varchar(50),
                          last_name varchar(50),
                          date_of_birth varchar(10),
                          sex char,
                          telephone_number varchar(20),
                          email varchar(100)
);

insert into profiles
(first_name, last_name, date_of_birth, sex, telephone_number, email)
values
    ('Ирина', 'Иванова', '1991-07-18', 'Ж', '89319651536', 'profile_0@mail.ru'),
    ('Никита', 'Викторов', '1988-09-09', 'М', '89654567895', 'profile_1@mail.ru'),
    ('Максим', 'Поздеев', '1985-09-08', 'М', '89056351545', 'profile_2@yandex.ru'),
    ('Елена', 'Жукова', '1990-09-05', 'Ж', '89034897563', 'profile_3@gmail.com'),
    ('Алексей', 'Дмитриев', '1992-05-05', 'М', '89524587898', 'profile_4@mail.ru'),
    ('Анна', 'Александрова', '1994-02-26', 'Ж', '89873256875', 'profile_5@yandex.ru'),
    ('Александр', 'Сергеев', '1993-10-20', 'М', '89051256545', 'profile_6@mail.ru'),
    ('Кристина', 'Григорьева', '1995-11-15', 'Ж', '89377856234', 'profile_7@gmail.com'),
    ('Алексей', 'Алексеев', '1996-03-11', 'М', '89874521232', 'profile_8@yandex.ru'),
    ('Иван', 'Макаров', '1997-04-26', 'М', '89997564895', 'profile_9@gmail.com');

create table browsing_history (
                                  id serial primary key,
                                  viewing_of_time DATE,
                                  catalog_id integer,
                                  constraint fk_products3 foreign key(catalog_id) references catalog(id),
                                  profile_id integer,
                                  constraint fk_profile4 foreign key(profile_id) references profiles(id)
);

insert into browsing_history
(viewing_of_time, catalog_id, profile_id)
values
    ('2021-05-05',5,9),
    ('2021-02-06',15,5),
    ('2021-06-05',6,3),
    ('2021-09-10',4,4),
    ('2021-10-05',9,7),
    ('2021-11-20',8,2),
    ('2021-08-12',10,6),
    ('2021-12-05',5,8),
    ('2021-03-05',4,5),
    ('2021-03-05',8,9);